<?xml version="1.0" encoding="UTF-8"?>
<DEFECTS>
<OACRDEFECTCOUNT>3</OACRDEFECTCOUNT>
<OACRERRORCOUNT>0</OACRERRORCOUNT>
<DEFECT _seq="1"><SFA><LINE>68</LINE><COLUMN>7</COLUMN><FILENAME>sample_cpp.h</FILENAME><FILEPATH>c:\development-git\wanpipe_windows\api_code_examples\legacy_api_code_example\</FILEPATH></SFA><DEFECTCODE>6067</DEFECTCODE><DESCRIPTION>Parameter '2' in call to 'printf' must be the address of the string</DESCRIPTION><FUNCTION>DecodeLastError</FUNCTION><FUNCLINE>52</FUNCLINE><PATH/></DEFECT>
<DEFECT _seq="2"><SFA><LINE>78</LINE><COLUMN>10</COLUMN><FILENAME>sample_cpp.h</FILENAME><FILEPATH>c:\development-git\wanpipe_windows\api_code_examples\legacy_api_code_example\</FILEPATH></SFA><DEFECTCODE>28719</DEFECTCODE><DESCRIPTION>Banned API Usage:  _snprintf is a Banned API as listed in dontuse.h for security purposes.</DESCRIPTION><FUNCTION>get_time_stamp</FUNCTION><FUNCLINE>73</FUNCLINE><PATH/></DEFECT>
<DEFECT _seq="3"><SFA><LINE>76</LINE><COLUMN>10</COLUMN><FILENAME>sangoma_interface.cpp</FILENAME><FILEPATH>c:\development-git\wanpipe_windows\api_code_examples\legacy_api_code_example\</FILEPATH></SFA><DEFECTCODE>28719</DEFECTCODE><DESCRIPTION>Banned API Usage:  _snprintf is a Banned API as listed in dontuse.h for security purposes.</DESCRIPTION><FUNCTION>sangoma_interface::{ctor}</FUNCTION><FUNCLINE>69</FUNCLINE><PATH/></DEFECT>
</DEFECTS>
